Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libsigc++: upgrade to stable 2.10.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sun, 5 Feb 2017 00:44:23 +0200

--
move /usr/share/devhelp to -doc
---
 main/libsigc++/APKBUILD | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)
diff --git a/main/libsigc++/APKBUILD b/main/libsigc++/APKBUILD
index 788129b946..b3aad30de6 100644
--- a/main/libsigc++/APKBUILD
+++ b/main/libsigc++/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=libsigc++
-pkgver=2.9.1
+pkgver=2.10.0
 pkgrel=0
 pkgdesc="type-safe Signal Framework for C++"
 url="http://libsigc.sourceforge.net/"
_at_@ -10,15 +10,10 @@ depends=
 makedepends="m4 perl tar"
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
-	cd "$_builddir"
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -28,10 +23,17 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="7434b5381df20b871fe1843c63cc6304  libsigc++-2.9.1.tar.xz"
-sha256sums="fe3e0390b2c1c60b2d7fa00e3459696735689628410d369ab8cba854f471fe9a  libsigc++-2.9.1.tar.xz"
-sha512sums="c9a7382d41eb5d67b0326f996e6f43682baba8fa5e707b442eb977d7b3ad860da5cf30a845617ef672cce11626c48ba191171e62ceaa82c8bda4bc67bcc0ba66  libsigc++-2.9.1.tar.xz"
+doc() {
+	default_doc || return 1
+
+	mv "$pkgdir"/usr/share/devhelp "$subpkgdir"/usr/share || return 1
+	rmdir "$pkgdir"/usr/share
+}
+
+md5sums="70bcbde2c900e4925d6ef4bf50954195  libsigc++-2.10.0.tar.xz"
+sha256sums="f843d6346260bfcb4426259e314512b99e296e8ca241d771d21ac64f28298d81  libsigc++-2.10.0.tar.xz"
+sha512sums="5b96df21d6bd6ba41520c7219e77695a86aabc60b7259262c7a9f4b8475ce0e2fd8dc37bcf7c17e24e818ff28c262d682b964c83e215b51bdbe000f3f58794ae  libsigc++-2.10.0.tar.xz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Feb 05 2017 - 00:44:23 GMT